### Method

# Gio Subprocess communicate_utf8_finish

#### Declaration [src]

    gboolean
    g_subprocess_communicate_utf8_finish (
      GSubprocess* subprocess,
      GAsyncResult* result,
      char** stdout_buf,
      char** stderr_buf,
      GError** error
    )

#### Description [src]

Complete an invocation of g_subprocess_communicate_utf8_async().

#### Parameters

`result`

  Type: `GAsyncResult`

  Result.

  The data is owned by the caller of the method.

`stdout_buf`

  Type: `char**`

  Return location for stdout data.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`stderr_buf`

  Type: `char**`

  Return location for stderr data.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.